/**
 * Show a notification for saved chnages
 */

/* PRIVATE */
var notifier,
	timeout = 3000;

/**
 * Create and return a div
 * @return {Object} div element
 */
function _createNotificationContainer() {
	var container = document.createElement('div');
	container.className = "notification-container";
	return container;
}

/**
 * Create and show a save notification within parent
 * @param {Object} parent DOM element to append the notification
 */
function _showSaveNotification(parent) {
	if (notifier) {
		return;
	}
	var container = _createNotificationContainer();
	notifier = document.createElement('div');
	notifier.className = 'notifier';
	notifier.ID = 'notifier';
	notifier.innerHTML = gt.gettext("Saved");
	container.appendChild(notifier);
	parent.appendChild(notifier);
	window.setTimeout(_removeNotifier, timeout, true);
}

/**
 * Remove the notification
 */
function _removeNotifier() {
	if (notifier) {
		notifier.remove();
		notifier = null;
	}
}

/* PUBLIC */
module.exports = {
	showSaveNotification: _showSaveNotification,
	abortNotification: _removeNotifier,
};
